## org.apache.mahout.classifier.df.mapreduce
Class Classifier

    java.lang.Object
      org.apache.mahout.classifier.df.mapreduce.Classifier

    public class Classifier

extends Object

Mapreduce implementation that classifies the Input data using a previousely built decision forest

Nested Class Summary
`static class` `Classifier.CMapper`

Constructor Summary
`Classifier(org.apache.hadoop.fs.Path forestPath, org.apache.hadoop.fs.Path inputPath, org.apache.hadoop.fs.Path datasetPath, org.apache.hadoop.fs.Path outputPath, org.apache.hadoop.conf.Configuration conf)`

Method Summary
`double[][]` `getResults()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Classifier

    public Classifier(org.apache.hadoop.fs.Path forestPath,
                      org.apache.hadoop.fs.Path inputPath,
                      org.apache.hadoop.fs.Path datasetPath,
                      org.apache.hadoop.fs.Path outputPath,
                      org.apache.hadoop.conf.Configuration conf)

Method Detail

### getResults

    public double[][] getResults()

### run

    public void run()
             throws IOException,
                    ClassNotFoundException,
                    InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.